LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Exported Interfaces | List of all members
FunctionDescriptions Service Referencepublished

represents a collection of function descriptions for all built-in functions as well as add-in functions available in the spreadsheet application. More...

`import"FunctionDescriptions.idl";`

Inheritance diagram for FunctionDescriptions:

## Exported Interfaces
interface | com::sun::star::sheet::XFunctionDescriptions
| provides access to the property sequence of a function description via function index or identifier. More...
interface | com::sun::star::container::XNameAccess
| provides access to the property sequence of a function description via function name. More...
interface | com::sun::star::container::XEnumerationAccess
| creates an enumeration of all function descriptions. More...

## Additional Inherited Members
Public Member Functions inherited from XFunctionDescriptions
sequence < com::sun::star::beans::PropertyValue > | getById ([in] long nId) raises ( com::sun::star::lang::IllegalArgumentException )
| finds a function description by the identifier of the function. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()

## Detailed Description

represents a collection of function descriptions for all built-in functions as well as add-in functions available in the spreadsheet application.

All container access methods return a sequence of com::sun::star::beans::PropertyValue structs. The properties contained in the sequence are collected in the service FunctionDescription.

Developers Guide
  Spreadsheets - Function Handling - Information about Functions

## Exported Interfaces

interface com::sun::star::container::XEnumerationAccess

creates an enumeration of all function descriptions.

See also
  com::sun::star::sheet::FunctionDescriptionEnumeration

interface com::sun::star::container::XNameAccess

provides access to the property sequence of a function description via function name.

The localized uppercase name of the function has to be used here.

interface com::sun::star::sheet::XFunctionDescriptions

provides access to the property sequence of a function description via function index or identifier.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/FunctionDescriptions.idl